-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------
-- Recording when the venue has started
-------------------------------------------------------------------------------------------------
local venueStarted = false
local autochefEnabled = isAutochefEnabled()

local currentTutorial = getCurrentTutorial()
local noTutorialActive = currentTutorial == ""


local getNoTutorialActive = function()
    local testTutorial = getCurrentTutorial()
    local noTutorialActive = testTutorial == ""
    return noTutorialActive
end



local refillRice = function()
	sendStationMsgWithParamsAndUserData("kActivate", { "RefillRice" }, {})
end

local disableRiceLever = function()
	sendStationMsgWithParamsAndUserData("kActivate", { "NoLeverNeeded" }, {})
end

registerMessageHandler("kIngredientOut", "DS_RiceDispenser", {},
    function()
        if autochefEnabled and getNoTutorialActive() then
            refillRice()
	    disableRiceLever()
        end
    end
)

registerMessageHandler("kVenueStarted","",{},
    function()
        venueStarted = true
        local noTutorialActive =  getNoTutorialActive()

        if autochefEnabled and noTutorialActive then
            refillRice()
            disableRiceLever()
        end
    end
)

registerMessageHandler("kTutorialEnded","",{},
    function()
        local noTutorialActive =  getNoTutorialActive()

        if autochefEnabled and noTutorialActive and venueStarted then
            refillRice()
        end
    end
)

