-------------------------------------------------------------------------------------------------
-------------------------------------------------------------------------------------------------
-- Recording when the venue has started
-------------------------------------------------------------------------------------------------
local venueStarted = false

registerMessageHandler("kVenueStarted", "", {}, 
	function()
		venueStarted = true
	end
)

-------------------------------------------------------------------------------------------------
-- Per frame updates
-------------------------------------------------------------------------------------------------
setUpdateFunction(
	function (timeDelta)
		-- If the venue has not started, do nothing
		if not venueStarted then
			return
		end

        --sendStationMsgWithParamsAndUserData("kActivate", { "TestId1", "TestId2", "TestString" }, { "TestId3" })
	end
)



-------------------------------------------------------------------------------------------------
-- Replace Venue Specific Class message responses
-------------------------------------------------------------------------------------------------
local milkNeeded = false

registerMessageHandler("kIngredientDropFailed", "HS_SteamerFoodDropoff", {"all"},
    function()
        sendStationMsgWithParamsAndUserData("kVenueSpecific",{ "startSteamer" },{})
    end
)

registerMessageHandler("kIngredientDropFailed", "HS_SteamerFoodDropoff", {"empty"},
    function()
        sendStationMsgWithParamsAndUserData("kVenueSpecific",{ "startSteamer" },{})
    end
)

registerMessageHandler("kStationCounterAtMinValue", "HS_SteamerCounter",{},
    function()
        milkNeeded = true
    end
)

registerMessageHandler("kStationCounterIncreased", "HS_SteamerCounter",{},
    function()
        milkNeeded = false
    end
)

registerMessageHandler("kIngredientDropFailed", "HS_SteamerModSlot", {},
    function()
        if milkNeeded then
            sendStationMsgWithParamsAndUserData("kActivate",{ "MilkNeeded" },{})
        end
    end
)

