--[[
Lua iterator that allows iterating over tables like a foreach over an array.
From: http://www.dreamincode.net/forums/topic/122242-advanced-lua-part-ii/
]]
function values(table)
    local key,value = next(table, nil)
    return function () --anon function, creates a closure
        local returnVal = value 
        key, value = next(table, key)
        return returnVal
    end
end

--[[
Count the number of values in a given list that match a given predicate.
@param valueList	The value list to examine.
@param predicate	Predicate which will be called for each value.
@return The count
]]
function countNumValuesMatchingPredicate(valueList, predicate)
	local count = 0
	for value in values(valueList) do
		if predicate(value) then 
			count = count + 1
		end
	end
	return count
end
