-------------------------------------------------------------------------------------------------
-- Recording when the venue has started
-------------------------------------------------------------------------------------------------
local venueStarted = false
local autochefEnabled = isAutochefEnabled()

local spitTutorials = {"kV26_LambShawarma","kV26_LambDurum","kV26_ChickenKebab","kV26_ChickenShawarma","kV26_ChickenDurum","kV26_LambAndPistachioKebab"}
local tutorialDisablesSpits = false

local currentTutorial = getCurrentTutorial()
local noTutorialActive = currentTutorial == ""

local getNoTutorialActive = function()
    local testTutorial = getCurrentTutorial()
    local noTutorialActive = testTutorial == ""
    return noTutorialActive
end


local chickenSpitUnlocked = false
local lambSpitUnlocked = false

local refillSpits = function()
    if chickenSpitUnlocked then
        sendStationMsgWithParamsAndUserData("kActivate", { "RefillChickenSpit" }, {})
    end
    if lambSpitUnlocked then
        sendStationMsgWithParamsAndUserData("kActivate", { "RefillLambSpit" }, {})
    end

    if chickenSpitUnlocked or lambSpitUnlocked then
        sendStationMsgWithParamsAndUserData("kActivate", { "LuaAnimationTrigger" }, {})
    end
end

registerMessageHandler("kActivate", "HL_ChickenSpitUnlockedStateTracker", {"On","LuaStatusCheck","all"},
    function()
        chickenSpitUnlocked = true
    end
)

registerMessageHandler("kActivate", "HL_LambSpitUnlockedStateTracker", {"On","LuaStatusCheck","all"},
    function()
        lambSpitUnlocked = true
    end
)

sendStationMsgWithParamsAndUserData("kActivate", { "LuaUnlockStateCheck" }, {})

registerMessageHandler("kIngredientOut", "HL_LambSpitDispenser", {},
    function()
        if autochefEnabled and getNoTutorialActive() then
            refillSpits()
        end
    end
)

registerMessageHandler("kIngredientOut", "HL_ChickenSpitDispenser", {},
    function()
        if autochefEnabled and getNoTutorialActive() then
            refillSpits()
        end
    end
)

registerMessageHandler("kVenueStarted","",{},
    function()
        venueStarted = true
        local noTutorialActive =  getNoTutorialActive()

        if autochefEnabled and not tutorialDisablesSpits then
            refillSpits()
        end
    end
)

--Only dis/re-enable spits during spit tutorials
for idx = 1, #spitTutorials do
    local tutorialId = spitTutorials[idx]
    registerMessageHandler("kTutorialStarted","",{tutorialId},
        function()
            if autochefEnabled then
                currentTutorial = tutorialId
                tutorialDisablesSpits = true
                sendStationMsgWithParamsAndUserData("kActivate", { "LuaTutorialStartedFor" }, {tutorialId})
            end
        end
    )

    registerMessageHandler("kTutorialEnded", "", {tutorialId},
        function()
            if autochefEnabled and tutorialDisablesSpits then
                tutorialDisablesSpits = false
                sendStationMsgWithParamsAndUserData("kActivate", { "LuaTutorialEndedFor" }, {tutorialId})
                refillSpits()
            end
        end
    )
end
